GCC Bugzilla has been upgraded from version 4.4.9 to 5.0rc3. If you see any problem, please report it to bug 64968.
Bug 7133 - PPC: unrecognizable insn
Summary: PPC: unrecognizable insn
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 3.2
: P3 normal
Target Milestone: ---
Assignee: Dale Johannesen
URL:
Keywords: ice-on-valid-code
Depends on:
Blocks:
 
Reported: 2002-06-26 03:06 UTC by franz.sirl-kernel
Modified: 2003-07-25 17:33 UTC (History)
5 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
sw_rsprite.i.bz2 (17.59 KB, application/octet-stream)
2003-05-21 15:17 UTC, franz.sirl-kernel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description franz.sirl-kernel 2002-06-26 03:06:02 UTC
Compile the attached file with -O2 -ffast-math.

Release:
gcc-3.1.1, 3.2

How-To-Repeat:
[fsirl@entropy:~/cvsx/quakeforge/libs/video/renderer/sw]$ gcc -O2 -ffast-math test.i
test.c: In function `R_ClipSpriteFace':
test.c:124: unrecognizable insn:
(insn 284 246 247 (set (reg:CCEQ 213)
        (compare:CCEQ (xor:SI (gt:SI (reg:CCFP 194)
                    (const_int 0 [0x0]))
                (ungt:SI (reg:CCFP 187)
                    (const_int 0 [0x0])))
            (const_int 1 [0x1]))) -1 (insn_list 246 (insn_list 232 (nil)))
    (expr_list:REG_DEAD (reg:CCFP 187)
        (nil)))
test.c:124: Internal compiler error in extract_insn, at recog.c:2132
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.
Comment 1 franz.sirl-kernel 2002-06-26 03:06:02 UTC
Fix:
fixed in rs6000.c
Comment 2 David Edelsohn 2002-07-07 21:55:58 UTC
Responsible-Changed-From-To: unassigned->dje
Responsible-Changed-Why: PPC
Comment 3 David Edelsohn 2002-07-07 21:55:58 UTC
State-Changed-From-To: open->analyzed
State-Changed-Why: branch_positive_comparison_operator does not like "UN"
    comparison operators generated by -ffast_math.
Comment 4 Dale Johannesen 2002-10-21 15:01:47 UTC
Responsible-Changed-From-To: dje->dalej
Responsible-Changed-Why: fixed it
Comment 5 Dale Johannesen 2002-10-21 15:01:47 UTC
State-Changed-From-To: analyzed->closed
State-Changed-Why: fixed it
Comment 6 Dale Johannesen 2002-10-22 10:03:44 UTC
From: Dale Johannesen <dalej@apple.com>
To: Franz Sirl <Franz.Sirl-kernel@lauterbach.com>
Cc: Dale Johannesen <dalej@apple.com>, dalej@gcc.gnu.org, dje@gcc.gnu.org,
   gcc-bugs@gcc.gnu.org, gcc-prs@gcc.gnu.org, gcc-gnats@gcc.gnu.org,
   Geoffrey Keating <geoffk@apple.com>
Subject: Re: target/7133: PPC: unrecognizable insn
Date: Tue, 22 Oct 2002 10:03:44 -0700

 On Tuesday, October 22, 2002, at 08:26  AM, Franz Sirl wrote:
 
 > At 00:01 22.10.2002, dalej@gcc.gnu.org wrote:
 >> Synopsis: PPC: unrecognizable insn
 > Uhm, you shouldn't close a bug report unless it is fixed in the 
 > current release branch too. This was a regression (otherwise it 
 > wouldn't have "high" priority), closing it before applying the patch 
 > to the branch will trick the release manager.
 
 Sorry.  Is the patch approved for the release branch, then?
 

Comment 7 franz.sirl-kernel 2002-10-22 17:26:53 UTC
From: Franz Sirl <Franz.Sirl-kernel@lauterbach.com>
To: dalej@gcc.gnu.org,dalej@gcc.gnu.org,dje@gcc.gnu.org,
 gcc-bugs@gcc.gnu.org,gcc-prs@gcc.gnu.org,gcc-gnats@gcc.gnu.org
Cc: dalej@gcc.gnu.org,dje@gcc.gnu.org,gcc-bugs@gcc.gnu.org,
 gcc-prs@gcc.gnu.org
Subject: Re: target/7133: PPC: unrecognizable insn
Date: Tue, 22 Oct 2002 17:26:53 +0200

 At 00:01 22.10.2002, dalej@gcc.gnu.org wrote:
 >Synopsis: PPC: unrecognizable insn
 >
 >Responsible-Changed-From-To: dje->dalej
 >Responsible-Changed-By: dalej
 >Responsible-Changed-When: Mon Oct 21 15:01:47 2002
 >Responsible-Changed-Why:
 >     fixed it
 >State-Changed-From-To: analyzed->closed
 >State-Changed-By: dalej
 >State-Changed-When: Mon Oct 21 15:01:47 2002
 >State-Changed-Why:
 >     fixed it
 >
 >http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view%20audit-trail&database=gcc&pr=7133
 
 Uhm, you shouldn't close a bug report unless it is fixed in the current 
 release branch too. This was a regression (otherwise it wouldn't have 
 "high" priority), closing it before applying the patch to the branch will 
 trick the release manager.
 

Comment 8 franz.sirl-kernel 2002-10-23 12:33:00 UTC
From: Franz Sirl <Franz.Sirl-kernel@lauterbach.com>
To: Dale Johannesen <dalej@apple.com>
Cc: Dale Johannesen <dalej@apple.com>,dalej@gcc.gnu.org,
 gcc-bugs@gcc.gnu.org,gcc-gnats@gcc.gnu.org,
 Geoffrey Keating <geoffk@apple.com>,dje@watson.ibm.com
Subject: Re: target/7133: PPC: unrecognizable insn
Date: Wed, 23 Oct 2002 12:33:00 +0200

 At 19:03 22.10.2002, Dale Johannesen wrote:
 
 >On Tuesday, October 22, 2002, at 08:26  AM, Franz Sirl wrote:
 >
 >>At 00:01 22.10.2002, dalej@gcc.gnu.org wrote:
 >>>Synopsis: PPC: unrecognizable insn
 >>Uhm, you shouldn't close a bug report unless it is fixed in the current 
 >>release branch too. This was a regression (otherwise it wouldn't have 
 >>"high" priority), closing it before applying the patch to the branch will 
 >>trick the release manager.
 >
 >Sorry.  Is the patch approved for the release branch, then?
 
 No problem, I'm happy you fixed the bug :-).
 
 Geoff, David, is it approved for the branch?
 
 David, you should ask Gerald to setup email forwarding for your gcc.gnu.org 
 account.
 
 Franz.
 
Comment 9 Dale Johannesen 2002-10-24 10:19:23 UTC
State-Changed-From-To: closed->analyzed
State-Changed-Why: per Franz Sirl's comment, change to Closed was premature.  Reverting.
Comment 10 Franz Sirl 2002-10-28 12:55:31 UTC
State-Changed-From-To: analyzed->closed
State-Changed-Why: Patch applied to gcc-3_2-branch.
Comment 11 Franz Sirl 2002-10-28 20:40:04 UTC
From: sirl@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: target/7133
Date: 28 Oct 2002 20:40:04 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Branch: 	gcc-3_2-branch
 Changes by:	sirl@gcc.gnu.org	2002-10-28 12:40:04
 
 Modified files:
 	gcc/config/rs6000: rs6000.c 
 	gcc            : ChangeLog 
 
 Log message:
 	2002-10-21  Dale Johannesen  <dalej@apple.com>
 	
 	PR target/7133
 	* config/rs6000/rs6000.c (rs6000_reverse_condition): Handle
 	unsafe math reversals correctly for RTL generation.
 	(output_cbranch):  Replace rs6000_reverse_condition call
 	by its former definition.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/rs6000/rs6000.c.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.291.2.13.2.9&r2=1.291.2.13.2.10
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.13152.2.657.2.108&r2=1.13152.2.657.2.109